03 Dec 2008, 10:32

Gentoo bref récap des commandes de gestion de paquets

Share

Avant toute chose installer l’outil gentoolkit

emerge -av gentoolkit

Ces nouvelles commandes vont vous permettre de:

A quel port appartient un binaire:

 equery belongs cjpeg
 [ Searching for file(s) cjpeg in *... ] 
media-libs/jpeg-6b-r8 (/usr/bin/cjpeg) 

Quels sont les dependances d’un port:

equery depends gd
[ Searching for packages depending on gd... ]
dev-lang/php-5.2.6-r7 (gd-external? media-libs/gd)

Quels sont les fichiers installes par un package:

 equery files less
[ Searching for packages matching less... ]
* Contents of sys-apps/less-418:
/etc
/etc/env.d
/etc/env.d/70less
/usr
/usr/bin
/usr/bin/code2color
/usr/bin/less
/usr/bin/lessecho
/usr/bin/lesskey
/usr/bin/lesspipe.sh
/usr/share
/usr/share/doc
/usr/share/doc/less-418
/usr/share/doc/less-418/NEWS.bz2
/usr/share/doc/less-418/README.Gentoo.bz2
/usr/share/doc/less-418/README.bz2
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/less.1.bz2
/usr/share/man/man1/lessecho.1.bz2
/usr/share/man/man1/lesskey.1.bz2

Mettre a jour vos machines en s’assurant que tous les USE soient respectes, si vous changez une variable USE en ajoutant mysql par exemple, il est en theorie necessaire de recompiler tous les packages qui peuvent avoir ce use flag, puis enlever le –pretent

emerge --update --deep --newuse world --pretend

Verifier que chaque binaire reference une librairie encore existante sur votre syseme:

Apres une mise a jour il se peut par exemple que la libgdbm ai change de revision majeure libgdbm.so.3, un binaire linke a cette librairie en libgdbm.so.2 ne fonctionnera plus, c’est le role de revdep-rebuild de retrouver quels binaires doivent etre recompile.

Enlever les versions obsoletes d’un package:

emerge --prune gentoo-sources